VistaIOGetPixel(3)

NAME
VistaIOGetPixel, VistaIOSetPixel - get and set pixel values

SYNOPSIS
#include <vistaio.h>

VistaIODouble VistaIOGetPixel (image, band, row, column)
    VistaIOImage image;
    int band, row, column;

void VistaIOSetPixel (image, band, row, column, value)
    VistaIOImage image;
    int band, row, column;
    VistaIODouble value;

ARGUMENTS

image
    Specifies the image containing the pixel.

band, row, column
    Specify the band, row, and column of the pixel.

value
    Specifies the pixel's new value.

DESCRIPTION
VistaIOGetPixel fetches the value of the specified pixel and returns it as a VistaIODouble, casting it from the image's actual pixel representation if necessary.

VistaIOSetPixel sets the specified pixel to value, casting it to the image's actual pixel representation if necessary.

RETURN VALUES
VistaIOGetPixel returns the value of the specified pixel.

SEE ALSO
VistaIOImage(3),

NOTES
If the image is known to have a particular pixel representation then the VistaIOPixel macro (see VistaIOImage(3)) can be used, instead, yielding greater efficiency.

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>